/*
 Theme Name: Travmonde
 Theme URI: https://www.travmonde.com/
 Description: Child theme for Hello Elementor
 Author: Travmonde Team
 Template: hello-elementor
 Version: 1.0
*/
/*buttons*/
.btn-outline a{
    backdrop-filter: blur(10px);
}
.full-btn .elementor-button{
    width: 100%;
}
/*list*/
ul li{
    line-height: 2;
}
.icon-list ul{
    padding-left: 17px;
}
.icon-list ul li{
    padding-left: 10px;
}
.icon-list ul li::marker{
    content: "✓";
    font-size: 18px;
    color: var( --e-global-color-bb880ef);
}
/*animation*/
.animation-bounce{
    animation: bounce 1s infinite;
}
@keyframes bounce {
    0%,to {
        transform: translateY(-25%);
        animation-timing-function: cubic-bezier(.8,0,1,1)
    }
    50% {
        transform: none;
        animation-timing-function: cubic-bezier(0,0,.2,1)
    }
}
/*header*/
header{
    position: sticky;
    top: 0;
    z-index: 99;
}
body.admin-bar header{
    top: 32px;
}
header .logo img{
    mix-blend-mode: multiply;
}
/* hero banner */
.home-hero-banner .elementor-widget-image{
    height: 100%;
}
/*Featured Destinations block*/
.featured-destinations-block .elementor-grid-item{
    display: grid !important;
    overflow:hidden;
    position: relative;
}
.featured-destinations-block .elementor-grid-item > a{
    margin:0 !important;
    transition: all 0.3s;
}
.featured-destinations-block .elementor-grid-item:hover > a{
    transform: scale(1.3);
}
.featured-destinations-block .elementor-grid-item > *{
    grid-area: 1 / 1;
}
.featured-destinations-block .elementor-grid-item .elementor-post__text{
    position:relative;
    display:flex;
    justify-content:flex-end;
    padding:1.5rem 1rem;
    z-index: 1;
    margin: 0 !important;
}
.featured-destinations-block .elementor-grid-item::after{
    content: "";
    background-image: linear-gradient(180deg, #2e58739e 20%, #c45a54 100%);
    position: absolute;
    inset: 0;
    opacity: 1;
}
/*story card*/
.join-travmonde-card{
    backdrop-filter: blur(10px);
}
.join-travmonde-card .icon{
    aspect-ratio: 1;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.join-travmonde-card .icon svg{
    width: 32px;
}
/*Who We Serve*/
.who-we-serve-card .icon{
    aspect-ratio: 1/1;
    display:flex;
    justify-content:center;
    align-items:center;
}
.who-we-serve-card .icon svg{
    width:40px;
}
.who-we-serve-card .icon svg path{
    fill: var(--e-global-color-primary);
}
div:has(> .who-we-serve-card){
    padding-block:20px !important;
}
.who-we-serve-card:hover{
    transform:translateY(-10px);
}
/*price*/
.price-card .elementor-price-table__header{
    border-radius: 15px;
}
.price-card li > div{
    display: flex;
}
.price-card li svg{
    flex-shrink: 0;
}
.price-card .elementor-price-table__features-list svg path{
    fill: var(--e-global-color-primary);
}
.price-card:nth-child(2) .elementor-price-table__features-list svg path{
    fill: var(--e-global-color-accent);
}
/*workflow*/
.workflow-card .icon{
    width: 70px;
    height: 70px;
    border-radius: 50%;
    position: relative;
}
.workflow-card .icon svg{
    width: 40px;
}
.workflow-card .icon svg path{
    fill: #fff;
}
.workflow-card .icon .elementor-widget-heading {
    aspect-ratio: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}
/*Platform Capabilities*/
.feature-showcase-card .icon{
    aspect-ratio: 1 / 1;
    display: flex;
    justify-content: center;
    align-items: center;
}
.feature-showcase-card .icon svg{
    width: 30px;
}
.feature-showcase-card .icon svg path{
    fill: var(--e-global-color-primary);
}
/**/
.advisor-hub-card .icon{
    display: flex;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1;
}
.advisor-hub-card .icon svg{
    width: 40px;
}
.advisor-hub-card .icon svg path{
    fill: #fff;
}

/*other service card*/
.other-service-card{
    position: relative;
    overflow: hidden;
    border-radius:170px;
}
.other-service-card .elementor-image-box-wrapper{
    display:grid;
}
.other-service-card .elementor-image-box-wrapper > *{
    grid-area: 1 / 1;
}
.other-service-card .elementor-image-box-img{
 position:absolute;   
}
.other-service-card .elementor-image-box-content{
    width:100%;
    position:relative;
    z-index:1;
    display:flex;
    align-items:center;
    padding: 20px 40px;
    background-color: #0000009e;
}
.other-service-card .elementor-image-box-content :where(h1, h2, h3, h4, h5, h6){
    margin: 0;
}
/*timeline bock*/
.timeline-block-1{
    counter-reset: icon;
}
.timeline-block-1 .elementor-widget-icon-box .elementor-icon{
    position: relative;
}
.timeline-block-1 .elementor-widget-icon-box .elementor-icon::after {
    counter-increment: icon;
    content: counter(icon);
    position: absolute;
    inset: 0;
    font-size: 24px;
    color: #fff;
    font-weight: 600;
    display: flex;
    justify-content: center;
    padding-top: 8px;
}

/* custom from style */
.custom-form .custom-field-wrap{
    margin-bottom: 15px;
}
.custom-form .custom-label{
    font-family: "Poppins", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    color: var(--e-global-color-primary);
    padding-bottom: 10px;
}
.custom-form .custom-field{
    background-color: #E9F3F445;
    border-color: #67898433;
    border-radius: 4px 4px 4px 4px;
}
.custom-form .terms-policy-field{
    color: var(--e-global-color-primary);
}
.custom-form textarea.custom-field{
    height: 96px;
}
.custom-form .custom-field-wrap:has(.wpcf7-validates-as-required) .custom-label::after{
    color: red;
    content: "*";
    padding-inline-start: .2em;
}
.custom-form :is([type=button], [type=submit], button){
    width: 100%;
    background-color: var(--e-global-color-primary);
    border-color: var(--e-global-color-primary);
    font-weight: 600;
    color: #ffffff;
}
.custom-form :is([type=button], [type=submit], button):hover{
    background-color: var( --e-global-color-accent );
    border-color: var( --e-global-color-accent );
}
.custom-form .wpcf7-list-item,
.custom-form p{
    margin: 0;
}
/*footer form*/
.custom-form-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:30px;
}
.custom-field-wrap.full-width{
    grid-column:1/-1;
}
.custom-form-grid .custom-field-wrap{
    margin-bottom:0;
}
.custom-form-grid .custom-field-wrap br{
    display:none;
}
.custom-form-grid .custom-label{
    display:none;
}
.custom-form-grid .custom-field{
    border:0 !important;
    border-bottom:1px solid #fff !important;
    background-color:transparent;
    border-radius:0;
    color:#fff;
    outline:0;
}
.custom-form-grid .custom-field::placeholder{
    color:#fff;
}
.custom-form-grid .submit-wrap input[type="submit"]{
    font-size: 18px;
    font-weight: 700;
    background-color: #7BA7A200;
    color: var(--e-global-color-f2a2611);
    border-color: var(--e-global-color-f2a2611);
    border-radius:100px !important;
}
.custom-form-grid .submit-wrap input[type="submit"]:hover{
    background-color: var(--e-global-color-bb880ef);
    border-color: var(--e-global-color-bb880ef);
    color: #fff;
}
.custom-form-grid .submit-wrap{
    display:flex;
    justify-content:flex-end;
}
@media screen and (max-width:480px) {
    .custom-form-grid{
        grid-template-columns:1fr;
    }
}
/*why card*/
.why-card .elementor-icon-box-icon{
    width: 70px;
    height: 70px;
    background-color: var(--e-global-color-primary);
    border-radius: 50%;
    padding: 10px;
    display: flex !important;
    justify-content: center;
    align-items: center;
}
.why-card .elementor-icon-box-icon svg{
    width: 40px;
}
@media (max-width:767px){
    .why-card .elementor-icon-box-icon{
        margin-inline: auto;
    }
}